> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/contextual-targeting/contextual-targeting-entities.md).

# Contextual Targeting Entities

Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers.

## GET /communities/{community\_id}/contextual/categories

> List existing contextual targeting IAB categories

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/communities/{community_id}/contextual/categories":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"max_results":{"type":"integer"},"count":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ContextualTargetingIABCategoryResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"schema":{"type":"string"},"description":"IAB Categories are linked to a channel that are linked to a datamart. You can look for all the IAB categories of any datamart within the community.","style":"simple","explode":false,"required":true,"name":"community_id","in":"path"},{"in":"query","explode":true,"description":"Word contained in the IAB category name","required":false,"name":"keywords","schema":{"type":"string"},"style":"form"},{"style":"form","description":"Offset from which the search must be performed","explode":true,"schema":{"type":"integer","format":"int32"},"in":"query","required":false,"name":"first_result"},{"explode":true,"schema":{"type":"integer","format":"int32"},"style":"form","name":"max_results","description":"Number of maximum items that shall be return by this search","required":false,"in":"query"}],"operationId":"getContextualTargetingIABCategories","tags":["Contextual Targeting Entities"],"description":"","summary":"List existing contextual targeting IAB categories"}}},"components":{"schemas":{"ContextualTargetingIABCategoryResource":{"allOf":[{"$ref":"#/components/schemas/ContextualTargetingIABCategory"},{"type":"object","properties":{"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"url_count":{"type":"integer","default":0,"format":"int64","readOnly":true},"last_30_days_page_views":{"readOnly":true,"type":"integer","format":"int64","default":0}},"required":["id","name"]}]},"ContextualTargetingIABCategory":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments/{segment\_id}/contextual\_targetings

> Find panel contextual targeting lists for a segment

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/contextual_targetings":{"get":{"summary":"Find panel contextual targeting lists for a segment","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/PanelContextualTargetingListResource"}},"count":{"type":"integer"},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Contextual Targeting Entities"],"operationId":"findPanelContextualTargetingLists","parameters":[{"name":"segment_id","style":"simple","explode":false,"schema":{"type":"string"},"in":"path","required":true},{"schema":{"type":"boolean"},"required":false,"explode":true,"name":"archived","in":"query","style":"form"}]}}},"components":{"schemas":{"PanelContextualTargetingListResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"url_count":{"format":"int64","type":"integer","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"last_30_days_page_views":{"type":"integer","format":"int64","readOnly":true,"default":0},"short_description":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"token":{"type":"string","readOnly":true},"last_lift_computation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"volume_ratio":{"type":"number","format":"float","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"segment_id":{"type":"string","readOnly":false}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","segment_id","status","token","url_count"]},"ContextualTargetingStatus":{"type":"string","enum":["INIT","DRAFT","PUBLISHED","LIVE","LIVE_PUBLISHED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments/{segment\_id}/contextual\_targetings

> Create a panel contextual targeting list

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/contextual_targetings":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PanelContextualTargetingListResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Create a panel contextual targeting list","parameters":[{"schema":{"type":"string"},"required":true,"style":"simple","in":"path","name":"segment_id","explode":false}],"tags":["Contextual Targeting Entities"],"requestBody":{"description":"The panel contextual targeting list to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PanelContextualTargetingListResource"}}},"required":true},"operationId":"createPanelContextualTargetingList","description":""}}},"components":{"schemas":{"PanelContextualTargetingListResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"url_count":{"format":"int64","type":"integer","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"last_30_days_page_views":{"type":"integer","format":"int64","readOnly":true,"default":0},"short_description":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"token":{"type":"string","readOnly":true},"last_lift_computation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"volume_ratio":{"type":"number","format":"float","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"segment_id":{"type":"string","readOnly":false}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","segment_id","status","token","url_count"]},"ContextualTargetingStatus":{"type":"string","enum":["INIT","DRAFT","PUBLISHED","LIVE","LIVE_PUBLISHED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/contextual/targeting\_lists/{targeting\_list\_id}

> Get a specified contextual targeting list

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/contextual/targeting_lists/{targeting_list_id}":{"get":{"summary":"Get a specified contextual targeting list","parameters":[{"schema":{"type":"integer","format":"int64"},"name":"organisation_id","explode":false,"in":"path","required":true,"style":"simple","description":"The organisation id"},{"name":"targeting_list_id","required":true,"in":"path","explode":false,"style":"simple","schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ContextualTargetingListResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getContextualTargetingList","tags":["Contextual Targeting Entities"],"description":""}}},"components":{"schemas":{"ContextualTargetingListResource":{"discriminator":{"propertyName":"type","mapping":{"PANEL_BASED":"#/components/schemas/PanelContextualTargetingListResource","SEMANTIC":"#/components/schemas/SemanticContextualTargetingListResource"}},"oneOf":[{"$ref":"#/components/schemas/PanelContextualTargetingListResource"},{"$ref":"#/components/schemas/SemanticContextualTargetingListResource"}],"properties":{"type":{"type":"string","enum":["PANEL_BASED","SEMANTIC"]}},"required":["type"]},"PanelContextualTargetingListResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"url_count":{"format":"int64","type":"integer","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"last_30_days_page_views":{"type":"integer","format":"int64","readOnly":true,"default":0},"short_description":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"token":{"type":"string","readOnly":true},"last_lift_computation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"volume_ratio":{"type":"number","format":"float","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"segment_id":{"type":"string","readOnly":false}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","segment_id","status","token","url_count"]},"ContextualTargetingStatus":{"type":"string","enum":["INIT","DRAFT","PUBLISHED","LIVE","LIVE_PUBLISHED"],"readOnly":false},"SemanticContextualTargetingListResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"short_description":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"token":{"type":"string","readOnly":true},"url_count":{"readOnly":true,"default":0,"type":"integer","format":"int64"},"last_30_days_page_views":{"format":"int64","readOnly":true,"type":"integer","default":0},"organisation_id":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"query_id":{"type":"string","readOnly":false},"tag_events":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","query_id","status","tag_events","token","url_count"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /organisations/{organisation\_id}/contextual/targeting\_lists/{targeting\_list\_id}

> Update a semantic contextual targeting list

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/contextual/targeting_lists/{targeting_list_id}":{"put":{"operationId":"updateSemanticContextualTargetingList","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/SemanticContextualTargetingListResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The Semantic Contextual Targeting List to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContextualTargetingListResource"}}},"required":true},"description":"","summary":"Update a semantic contextual targeting list","tags":["Contextual Targeting Entities"],"parameters":[{"name":"organisation_id","schema":{"type":"integer","format":"int64"},"explode":false,"required":true,"style":"simple","in":"path","description":"The organisation id"},{"in":"path","explode":false,"name":"targeting_list_id","style":"simple","required":true,"schema":{"type":"integer","format":"int64"}}]}}},"components":{"schemas":{"SemanticContextualTargetingListResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"short_description":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"token":{"type":"string","readOnly":true},"url_count":{"readOnly":true,"default":0,"type":"integer","format":"int64"},"last_30_days_page_views":{"format":"int64","readOnly":true,"type":"integer","default":0},"organisation_id":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"query_id":{"type":"string","readOnly":false},"tag_events":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","query_id","status","tag_events","token","url_count"]},"ContextualTargetingStatus":{"type":"string","enum":["INIT","DRAFT","PUBLISHED","LIVE","LIVE_PUBLISHED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"ContextualTargetingListResource":{"discriminator":{"propertyName":"type","mapping":{"PANEL_BASED":"#/components/schemas/PanelContextualTargetingListResource","SEMANTIC":"#/components/schemas/SemanticContextualTargetingListResource"}},"oneOf":[{"$ref":"#/components/schemas/PanelContextualTargetingListResource"},{"$ref":"#/components/schemas/SemanticContextualTargetingListResource"}],"properties":{"type":{"type":"string","enum":["PANEL_BASED","SEMANTIC"]}},"required":["type"]},"PanelContextualTargetingListResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"url_count":{"format":"int64","type":"integer","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"last_30_days_page_views":{"type":"integer","format":"int64","readOnly":true,"default":0},"short_description":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"token":{"type":"string","readOnly":true},"last_lift_computation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"volume_ratio":{"type":"number","format":"float","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"segment_id":{"type":"string","readOnly":false}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","segment_id","status","token","url_count"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /communities/{community\_id}/contextual/categories/{category\_id}

> Get a contextual targeting category

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/communities/{community_id}/contextual/categories/{category_id}":{"get":{"description":"","parameters":[{"explode":false,"description":"IAB Categories are linked to a channel that are linked to a datamart. You can look for all the entities of any datamart within the community.","in":"path","schema":{"type":"string"},"name":"community_id","style":"simple","required":true},{"required":true,"schema":{"type":"string"},"in":"path","name":"category_id","explode":false,"style":"simple"}],"operationId":"getContextualTargetingCategory","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ContextualTargetingIABCategoryResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get a contextual targeting category","tags":["Contextual Targeting Entities"]}}},"components":{"schemas":{"ContextualTargetingIABCategoryResource":{"allOf":[{"$ref":"#/components/schemas/ContextualTargetingIABCategory"},{"type":"object","properties":{"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"url_count":{"type":"integer","default":0,"format":"int64","readOnly":true},"last_30_days_page_views":{"readOnly":true,"type":"integer","format":"int64","default":0}},"required":["id","name"]}]},"ContextualTargetingIABCategory":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/contextual/targeting\_lists

> Search contextual targeting lists

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/contextual/targeting_lists":{"get":{"summary":"Search contextual targeting lists","operationId":"findContextualTargetingLists","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ContextualTargetingListResource"}},"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"explode":false,"style":"simple","in":"path","schema":{"type":"integer","format":"int64"},"description":"The organisation id","name":"organisation_id","required":true},{"explode":true,"required":false,"name":"contextual_targeting_type","description":"The type of the contextual targeting","style":"form","schema":{"$ref":"#/components/schemas/ContextualTargetingType"},"in":"query"},{"required":false,"in":"query","description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"name":"first_result","style":"form","explode":true},{"schema":{"type":"integer","format":"int32"},"description":"Number of maximum items that shall be return by this search","in":"query","style":"form","name":"max_results","required":false,"explode":true},{"in":"query","name":"order_by","explode":true,"schema":{"type":"array","items":{"type":"string"}},"description":"Fields used to order the result","required":false,"style":"form"},{"in":"query","description":"Can be used to search elements","name":"keywords","style":"form","explode":true,"schema":{"type":"string"},"required":false}],"tags":["Contextual Targeting Entities"],"description":""}}},"components":{"schemas":{"ContextualTargetingListResource":{"discriminator":{"propertyName":"type","mapping":{"PANEL_BASED":"#/components/schemas/PanelContextualTargetingListResource","SEMANTIC":"#/components/schemas/SemanticContextualTargetingListResource"}},"oneOf":[{"$ref":"#/components/schemas/PanelContextualTargetingListResource"},{"$ref":"#/components/schemas/SemanticContextualTargetingListResource"}],"properties":{"type":{"type":"string","enum":["PANEL_BASED","SEMANTIC"]}},"required":["type"]},"PanelContextualTargetingListResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"url_count":{"format":"int64","type":"integer","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"last_30_days_page_views":{"type":"integer","format":"int64","readOnly":true,"default":0},"short_description":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"token":{"type":"string","readOnly":true},"last_lift_computation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"volume_ratio":{"type":"number","format":"float","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"segment_id":{"type":"string","readOnly":false}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","segment_id","status","token","url_count"]},"ContextualTargetingStatus":{"type":"string","enum":["INIT","DRAFT","PUBLISHED","LIVE","LIVE_PUBLISHED"],"readOnly":false},"SemanticContextualTargetingListResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"short_description":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"token":{"type":"string","readOnly":true},"url_count":{"readOnly":true,"default":0,"type":"integer","format":"int64"},"last_30_days_page_views":{"format":"int64","readOnly":true,"type":"integer","default":0},"organisation_id":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"query_id":{"type":"string","readOnly":false},"tag_events":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","query_id","status","tag_events","token","url_count"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"ContextualTargetingType":{"type":"string","enum":["PANEL_BASED","SEMANTIC"],"readOnly":false}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /organisations/{organisation\_id}/contextual/targeting\_lists

> Create a contextual targeting list

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/contextual/targeting_lists":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ContextualTargetingListResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"createContextualTargetingList","parameters":[{"schema":{"type":"integer","format":"int64"},"name":"organisation_id","explode":false,"style":"simple","required":true,"description":"The organisation id","in":"path"}],"requestBody":{"description":"The Contextual Targeting List to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContextualTargetingListResource"}}},"required":true},"summary":"Create a contextual targeting list","description":"","tags":["Contextual Targeting Entities"]}}},"components":{"schemas":{"ContextualTargetingListResource":{"discriminator":{"propertyName":"type","mapping":{"PANEL_BASED":"#/components/schemas/PanelContextualTargetingListResource","SEMANTIC":"#/components/schemas/SemanticContextualTargetingListResource"}},"oneOf":[{"$ref":"#/components/schemas/PanelContextualTargetingListResource"},{"$ref":"#/components/schemas/SemanticContextualTargetingListResource"}],"properties":{"type":{"type":"string","enum":["PANEL_BASED","SEMANTIC"]}},"required":["type"]},"PanelContextualTargetingListResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"url_count":{"format":"int64","type":"integer","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"last_30_days_page_views":{"type":"integer","format":"int64","readOnly":true,"default":0},"short_description":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"token":{"type":"string","readOnly":true},"last_lift_computation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"volume_ratio":{"type":"number","format":"float","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"segment_id":{"type":"string","readOnly":false}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","segment_id","status","token","url_count"]},"ContextualTargetingStatus":{"type":"string","enum":["INIT","DRAFT","PUBLISHED","LIVE","LIVE_PUBLISHED"],"readOnly":false},"SemanticContextualTargetingListResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"short_description":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"token":{"type":"string","readOnly":true},"url_count":{"readOnly":true,"default":0,"type":"integer","format":"int64"},"last_30_days_page_views":{"format":"int64","readOnly":true,"type":"integer","default":0},"organisation_id":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"query_id":{"type":"string","readOnly":false},"tag_events":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","query_id","status","tag_events","token","url_count"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments/{segment\_id}/contextual\_targetings/{contextual\_targeting\_id}/contextual\_targeting\_signature.csv

> Get last contextual\_targeting\_signature.csv file

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/contextual_targetings/{contextual_targeting_id}/contextual_targeting_signature.csv":{"get":{"description":"","parameters":[{"required":true,"style":"simple","explode":false,"schema":{"type":"string"},"in":"path","name":"segment_id"},{"required":true,"in":"path","name":"contextual_targeting_id","schema":{"type":"string"},"explode":false,"style":"simple"}],"responses":{"200":{"description":"Success !","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getPanelContextualTargetingListSignature","summary":"Get last contextual_targeting_signature.csv file","tags":["Contextual Targeting Entities"]}}},"components":{"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## POST /audience\_segments/{segment\_id}/contextual\_targetings/{contextual\_targeting\_id}/actions

> apply an action on a panel contextual targeting list

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/contextual_targetings/{contextual_targeting_id}/actions":{"post":{"parameters":[{"name":"segment_id","schema":{"type":"string"},"explode":false,"style":"simple","required":true,"in":"path"},{"in":"path","required":true,"schema":{"type":"string"},"name":"contextual_targeting_id","style":"simple","explode":false}],"summary":"apply an action on a panel contextual targeting list","requestBody":{"description":"The action to apply","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PanelContextualTargetingPublicAction"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PanelContextualTargetingListResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Contextual Targeting Entities"],"operationId":"applyActionOnPanelContextualTargetingList","description":""}}},"components":{"schemas":{"PanelContextualTargetingPublicAction":{"required":["type"],"oneOf":[{"$ref":"#/components/schemas/PublishAction"},{"$ref":"#/components/schemas/PauseAction"},{"$ref":"#/components/schemas/ArchiveAction"}],"allOf":[{"$ref":"#/components/schemas/PanelContextualTargetingAction"}],"properties":{"type":{"type":"string","enum":["PUBLISH","PAUSE","ARCHIVE"]}},"discriminator":{"propertyName":"type","mapping":{"PUBLISH":"#/components/schemas/PublishAction","PAUSE":"#/components/schemas/PauseAction","ARCHIVE":"#/components/schemas/ArchiveAction"}}},"PublishAction":{"type":"object","properties":{"volume_ratio":{"type":"number","format":"float","default":0,"readOnly":false}},"required":["volume_ratio"]},"PauseAction":{"type":"object"},"ArchiveAction":{"type":"object"},"PanelContextualTargetingAction":{"type":"object"},"PanelContextualTargetingListResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"url_count":{"format":"int64","type":"integer","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"last_30_days_page_views":{"type":"integer","format":"int64","readOnly":true,"default":0},"short_description":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"token":{"type":"string","readOnly":true},"last_lift_computation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"volume_ratio":{"type":"number","format":"float","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"segment_id":{"type":"string","readOnly":false}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","segment_id","status","token","url_count"]},"ContextualTargetingStatus":{"type":"string","enum":["INIT","DRAFT","PUBLISHED","LIVE","LIVE_PUBLISHED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments/{segment\_id}/contextual\_targetings/{contextual\_targeting\_id}

> Get a panel contextual targeting list

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/contextual_targetings/{contextual_targeting_id}":{"get":{"description":"","summary":"Get a panel contextual targeting list","tags":["Contextual Targeting Entities"],"operationId":"getPanelContextualTargetingList","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PanelContextualTargetingListResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"required":true,"explode":false,"style":"simple","name":"segment_id","schema":{"type":"string"},"in":"path"},{"style":"simple","schema":{"type":"string"},"explode":false,"in":"path","name":"contextual_targeting_id","required":true}]}}},"components":{"schemas":{"PanelContextualTargetingListResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"url_count":{"format":"int64","type":"integer","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"last_30_days_page_views":{"type":"integer","format":"int64","readOnly":true,"default":0},"short_description":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"live_activation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"token":{"type":"string","readOnly":true},"last_lift_computation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"status":{"$ref":"#/components/schemas/ContextualTargetingStatus"},"volume_ratio":{"type":"number","format":"float","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"segment_id":{"type":"string","readOnly":false}},"required":["archived","created_by","created_ts","id","last_30_days_page_views","name","organisation_id","segment_id","status","token","url_count"]},"ContextualTargetingStatus":{"type":"string","enum":["INIT","DRAFT","PUBLISHED","LIVE","LIVE_PUBLISHED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments/{segment\_id}/contextual\_targetings/{contextual\_targeting\_id}/lift\_computation.csv

> Get last panel contextual targeting list lift\_computation.csv file

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Targeting Entities","description":"Operations related to Contextual Targeting Entities that represent named entities extracted from web content for contextual targeting. Enables audience segmentation based on semantic information extracted from visited pages, used in conjunction with targeting lists to match contextual elements and build context-based segments without relying on personal identifiers."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/contextual_targetings/{contextual_targeting_id}/lift_computation.csv":{"get":{"operationId":"getLiftComputation","summary":"Get last panel contextual targeting list lift_computation.csv file","responses":{"200":{"description":"Success !","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","parameters":[{"style":"simple","schema":{"type":"string"},"required":true,"in":"path","name":"segment_id","explode":false},{"required":true,"style":"simple","in":"path","schema":{"type":"string"},"explode":false,"name":"contextual_targeting_id"}],"tags":["Contextual Targeting Entities"]}}},"components":{"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/contextual-targeting/contextual-targeting-entities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
